
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Traqueurs</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']"  >Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Liste des traqueurs
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
   
        <div class="section section-data-tables">


<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des traqueurs</h4>
      <br/>
      <div class="row">
        

        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Immatricule</th>
                <th>Identifiant </th>
                <th>Fournisseur</th>
                
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let t of traqueurs; index as i;">
                

                <td>{{t.voitureImmatricule}}</td>
                <td>{{t.identifiant}}</td>
                <td>{{t.fournisseur}}</td>

                <td><a class='dropdown-trigger' href='#'  [attr.data-target]="'dropdown' + i">
                  <i class="material-icons">arrow_drop_down</i>
                </a>
                <ul id='dropdown{{i}}' class='dropdown-content' >
                <li><a class="modal-trigger" (click)="getOne(t.id)" href="#modal2">Modifier</a></li>
                <li><a class="modal-trigger" (click)="delete(t.id)">Supprimper</a></li>
               
                </ul></td>
                
              
              
           
          </tr>
      </tbody>
    </table>
  </div>
</div>
</div>
</div>
</div>
</div>
</div>

<!-- END RIGHT SIDEBAR NAV -->

<div id="modal1" class="modal" style="width: 40%;">
   
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h5>Ajouter Traqueurs
    </h5>
    <form  #f="ngForm" (ngSubmit)="save(f.value)">
    <div class="row">
     <div class="input-field col  s12">
      <label for="name2" class="active">Immatricule*</label>

      <select  searchable='Liste de Voiture' id="xxxx" name="voitureImmatricule" #name="ngModel" [(ngModel)]="traqueur.voitureImmatricule" required>
        <option *ngFor="let v of voitures" [value]="v.immatricule">
          {{v.immatricule}}
         </option>
    </select>

     </div>
     <div class="input-field col m6 s12">
         <input type="text" class="validate" name="identifiant" #identifiant="ngModel" [(ngModel)]="traqueur.identifiant" required> 
         <label for="nbrpersonne">Identifiant*</label>
         <small  class="errorTxt1" *ngIf="identifiant.touched  &&  identifiant.invalid" ><div id="uname-error" class="error">saisir votre identifiant</div></small>

     </div>
              <div class="input-field col m6 s12">
                <input type="text" class="validate" name="fournisseur" #fournisseur="ngModel" [(ngModel)]="traqueur.fournisseur" required>
                <label for="nbrporte">Fournisseur*</label>
                <small  class="errorTxt1" *ngIf="fournisseur.touched  &&  fournisseur.invalid" ><div id="uname-error" class="error">saisir votre fournisseur</div></small>

            </div>
   </div>
   
  

    <div class="modal-footer">
        <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>
    </form>
</div>
</div>





<div id="modal2" class="modal" style="width: 40%;">
   
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h5>Ajouter Traqueurs
    </h5>
    <form  #fu="ngForm" (ngSubmit)="update(fu.value)">
    <div class="row">
     <div class="input-field col  s12">
      <label for="name2" class="active">Immatricule</label><br/>

      <input   type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="traqueur.voitureImmatricule" disabled>


     </div>
     <div class="input-field col m6 s12">
      <label for="nbrpersonne1" class="active">Identifiant</label><br/>
         <input type="text" name="identifiant" #name="ngModel" [(ngModel)]="traqueur.identifiant" required> 

     </div>
              <div class="input-field col m6 s12">
                <label for="nbrporte">Fournisseur</label><br/>
                <input type="text" name="fournisseur" #name="ngModel" [(ngModel)]="traqueur.fournisseur" required>
            </div>
   </div>
   
  

    <div class="modal-footer">
        <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>
    </form>
</div>
</div>



